export declare const SidebarMask: import("styled-components").StyledComponent<"div", any, import("@/src/utilities").GenericProps & import("react").HTMLAttributes<HTMLDivElement> & {
    width?: number | undefined;
    height?: string | undefined;
    showCollapsedMenu?: boolean | undefined;
    onClose?: (() => void) | undefined;
    icon?: import("react").ReactNode;
}, never>;
export declare const DefaultStyledSideBar: import("styled-components").StyledComponent<"aside", any, import("@/src/utilities").GenericProps & import("react").HTMLAttributes<HTMLDivElement> & {
    width?: number | undefined;
    height?: string | undefined;
    showCollapsedMenu?: boolean | undefined;
    onClose?: (() => void) | undefined;
    icon?: import("react").ReactNode;
}, never>;
export declare const StyledSidebar: import("styled-components").StyledComponent<"aside", any, import("@/src/utilities").GenericProps & import("react").HTMLAttributes<HTMLDivElement> & {
    width?: number | undefined;
    height?: string | undefined;
    showCollapsedMenu?: boolean | undefined;
    onClose?: (() => void) | undefined;
    icon?: import("react").ReactNode;
}, never>;
export declare const StyledTopContent: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const StyledTopContentIconWrapper: import("styled-components").StyledComponent<"span", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const StyledLogoWrapper: import("styled-components").StyledComponent<"span", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const StyledSidebarContent: import("styled-components").StyledComponent<"div", any, {
    position?: "top" | undefined;
    isStyled?: boolean | undefined;
}, never>;
export declare const StyledContentSubTitle: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const SidebarContentNavContainer: import("styled-components").StyledComponent<"ul", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const StyledSidebarNavItem: import("styled-components").StyledComponent<"li", any, Pick<import("./types").ISidebarNavContent, "active" | "disabled"> & import("@/src/utilities").GenericProps, never>;
export declare const StyledIconsWrapper: import("styled-components").StyledComponent<"span", any, Pick<import("./types").ISidebarNavContent, "active" | "disabled"> & import("@/src/utilities").GenericProps, never>;
export declare const StyledDefaultIcon: import("styled-components").StyledComponent<"span", any, Pick<import("./types").ISidebarNavContent, "active" | "disabled"> & import("@/src/utilities").GenericProps, never>;
